# Class JmolResourceHandler

java.lang.Object
org.openscience.jmol.app.jmolpanel.JmolResourceHandler

public class JmolResourceHandler extends Object
Provides access to resources (for example, strings and images). This class is a singleton which is retrieved by the getInstance method.

Author:
  Bradley A. Smith (bradley@baysmith.com)

## Field Summary

Fields
Modifier and Type
Field
Description
`static Object`
`codePath`

## Method Summary

Modifier and Type
Method
Description
`static ImageIcon`
`getIconX(String key)`
`static URL`
`getImageURL(String key)`
`static String`
`getStringX(String key)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### codePath

public static Object codePath

## Method Details

### getStringX

public static String getStringX(String key)

### getIconX

public static ImageIcon getIconX(String key)

### getImageURL

public static URL getImageURL(String key)